Skip to main content

Supported languages

Translation is always provided by DeepL. For some languages, transcription and translated speech are provided by external service partners. All source languages can be translated into any target language.

LanguageTranscriptionTranslationclosed beta
Translated Speech
Arabic
Bengali
Bulgarian
Chinese (Simplified/Traditional)
Croatian
Czech
Danish
Dutch
English (American/British)
Estonian
Finnish
French
German
Greek
Hebrew
Hindi beta
Hungarian
Indonesian
Irish
Italian
Japanese
Korean
Latvian
Lithuanian
Malay beta
Maltese
Norwegian (bokmål)
Polish
Portuguese (Brazil/Portugal)
Romanian
Russian
Slovak
Slovenian
Spanish
Swedish
Tagalog
Tamil beta
Thai
Turkish
Ukrainian
Vietnamese
✓ provided by DeepL / ⎋ provided by an external service partner / — not available
Transcription provided by external service partners (marked with ⎋) cannot yet auto-detect the source language, which you must therefore specify explicitly.
To retrieve supported languages and feature availability programmatically, call GET /v3/languages?resource=voice and check for the transcription and translated_speech feature keys. The external flag on these features indicates if they are provided by an external service partner.

Supported audio formats

The API supports common combinations of streaming codecs and containers with a single-channel (mono) audio stream.
Audio CodecAudio ContainerRecommended Bitrate
PCM -256 kbps (16kHz), default recommendation
OPUS Matroska / MPEG-TS / Ogg / WebM32 kbps, recommended for low bandwidth scenarios
AACMatroska / MPEG-TS96 kbps
FLACFLAC / Matroska / Ogg256 kbps (16kHz)
MP3MPEG / Matroska128 kbps
For the detailed list of supported input audio formats, see Source Media Content Type. For supported output audio formats, see Target Media Content Type.

Session limits

  • Maximum 5 translation targets per session (including translated speech targets)
  • Maximum 1 translated speech target per session
  • Audio chunk size: should not exceed 100 kilobytes or 1 second duration
  • Recommended chunk duration: 50-250 milliseconds for low latency
  • Audio stream speed: maximum 2x real-time
  • Timeout: if no data is received for 30 seconds, the session is terminated
  • Maximum connection duration: after 1 hour, the connection is closed. Establish a new connection by reconnecting to the session
  • Using any given token more than once to establish a WebSocket connection terminates the associated session immediately for security reasons
If you need more translation targets or translated speech targets than these limits allow, open multiple concurrent sessions over the same source audio.